Batch Create Resident Charges: Propertyware REST
https://api.propexo.com/v1/resident-charges/batch/propertyware_rest/Create multiple resident charges. Due to API restrictions, we cannot read data back after being written for bulk charge requests. Use the single-charge create endpoint if you need the created record ID or read-after-write functionality.
| Method | Interface |
|---|---|
| POST /v1/leases/charges/bulk | Leases |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
The Propexo unique identifier for the integration
charges object[]required
Array of resident charges to create.
Possible values: >= 1
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
The amount of the resident charge, in cents
Possible values: >= 0
The transaction date of the resident charge
Show 2 variants
Description of the resident charge
The reference number for the resident charge
Response
Successful response
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
meta objectrequired
result objectrequired
charges object[]required
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
The amount of the resident charge, in cents
Possible values: >= 0
The transaction date of the resident charge
Show 2 variants
Description of the resident charge
The reference number for the resident charge
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-charges/batch/propertyware_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"charges": [
{
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"reference_number": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"charges": [
{
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"reference_number": "string"
}
]
}
}